import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_rate_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_rate_detail_entity.g.dart';

@JsonSerializable()
class ContractPositionRateDetailEntity {
	@JSONField(name: "position_id")
	String? positionId;
	@JSONField(name: "agency_name")
	String? agencyName;
	String? position;
	@JSONField(name: "contract_id")
	String? contractId;
	@JSONField(name: "type_1")
	String? type1;
	@JSONField(name: "type_2")
	String? type2;
	@JSONField(name: "type_3")
	String? type3;
	@JSONField(name: "type_7")
	String? type7;
	@JSONField(name: "type_8")
	String? type8;
	@JSONField(name: "type_9")
	String? type9;
	@JSONField(name: "type_10")
	String? type10;
	@JSONField(name: "type_11")
	String? type11;
	@JSONField(name: "type_12")
	String? type12;
	@JSONField(name: "type_13")
	String? type13;
	@JSONField(name: "type_20")
	String? type20;
	@JSONField(name: "type_21")
	String? type21;

	ContractPositionRateDetailEntity();

	factory ContractPositionRateDetailEntity.fromJson(Map<String, dynamic> json) => $ContractPositionRateDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionRateDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}