import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_labour_request_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_labour_request_option_entity.g.dart';

@JsonSerializable()
class SGLabourRequestOptionEntity {
	@JSONField(name: "outlet_id")
	String? outletId;
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;
	@JSONField(name: "agency_list")
	List<IndexOptionEntity> agencyList = [];
	@JSONField(name: "outlet_list")
	List<IndexOptionEntity> outletList = [];
	@JSONField(name: "status_list")
	List<IndexOptionEntity> statusList = [];

	SGLabourRequestOptionEntity();

	factory SGLabourRequestOptionEntity.fromJson(Map<String, dynamic> json) => $SGLabourRequestOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}

}