import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_labour_request_worl_flow_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_labour_request_worl_flow_entity.g.dart';

@JsonSerializable()
class SGLabourRequestWorlFlowEntity {
	SGLabourRequestWorlFlowRow? row;
	@JSONField(name: "outlet_id")
	String? outletId;
	List<SGLabourRequestWorlFlowRecords> records = [];

	SGLabourRequestWorlFlowEntity();

	factory SGLabourRequestWorlFlowEntity.fromJson(Map<String, dynamic> json) => $SGLabourRequestWorlFlowEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestWorlFlowEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGLabourRequestWorlFlowRow {
	String? id;
	@JSONField(name: "employer_id")
	String? employerId;
	@JSONField(name: "employer_name")
	String? employerName;
	@JSONField(name: "e_admin_id")
	String? eAdminId;
	@JSONField(name: "source_type")
	int? sourceType;
	@JSONField(name: "agency_id")
	String? agencyId;
	@JSONField(name: "agency_name")
	String? agencyName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "outlet_id")
	String? outletId;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "start_time")
	int? startTime;
	@JSONField(name: "end_time")
	int? endTime;
	@JSONField(name: "working_hours")
	String? workingHours;
	@JSONField(name: "hourly_rate")
	String? hourlyRate;
	@JSONField(name: "hiring_num")
	int? hiringNum;
	@JSONField(name: "agency_rate")
	String? agencyRate;
	@JSONField(name: "job_title_id")
	int? jobTitleId;
	@JSONField(name: "with_food_cert")
	int? withFoodCert;
	@JSONField(name: "request_type")
	int? requestType;
	@JSONField(name: "sex_limit")
	int? sexLimit;
	@JSONField(name: "male_limit")
	int? maleLimit;
	@JSONField(name: "female_limit")
	int? femaleLimit;
	@JSONField(name: "position_id")
	int? positionId;
	@JSONField(name: "position_name")
	String? positionName;
	int status = 0;
	String? description;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "updated_at")
	String? updatedAt;
	@JSONField(name: "deleted_at")
	String? deletedAt;
	@JSONField(name: "post_id")
	int? postId;
	@JSONField(name: "post_name")
	String? postName;

	SGLabourRequestWorlFlowRow();

	factory SGLabourRequestWorlFlowRow.fromJson(Map<String, dynamic> json) => $SGLabourRequestWorlFlowRowFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestWorlFlowRowToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGLabourRequestWorlFlowRecords {
	@JSONField(name: "serial_number")
	int? serialNumber;
	@JSONField(name: "node_name")
	String? nodeName;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "audit_name")
	String? auditName;
	@JSONField(name: "audit_time")
	String? auditTime;
	@JSONField(name: "audit_mark")
	String? auditMark;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "assignee_type_show")
	String? assigneeTypeShow;
	@JSONField(name: "designation_show")
	String? designationShow;

	SGLabourRequestWorlFlowRecords();

	factory SGLabourRequestWorlFlowRecords.fromJson(Map<String, dynamic> json) => $SGLabourRequestWorlFlowRecordsFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestWorlFlowRecordsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}